# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::SampleCoverage Class Reference

Wraps the OpenGL function glSampleCoverage(), see also http://www.opengl.org/sdk/docs/man/xhtml/glSampleCoverage.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::SampleCoverage:

List of all members.

## Public Member Functions
| SampleCoverage (GLclampf value=1.0f, bool invert=false)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (GLclampf value, bool invert)
void | setValue (GLclampf value)
void | setInvert (bool invert)
GLclampf | value () const
bool | invert () const
## Protected Attributes
GLclampf | mValue
bool | mInvert

## Detailed Description

Wraps the OpenGL function glSampleCoverage(), see also http://www.opengl.org/sdk/docs/man/xhtml/glSampleCoverage.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_MULTISAMPLE, vl::EN_SAMPLE_ALPHA_TO_COVERAGE, vl::EN_SAMPLE_ALPHA_TO_ONE, vl::EN_SAMPLE_COVERAGE

## Constructor & Destructor Documentation

vl::SampleCoverage::SampleCoverage | ( | GLclampf | value = `1.0f`,
|  | bool | invert = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::SampleCoverage::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::SampleCoverage::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void SampleCoverage::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::SampleCoverage::set | ( | GLclampf | value,
|  | bool | invert |
| ) |  |  | `[inline]`

void vl::SampleCoverage::setValue | ( | GLclampf | value | ) | `[inline]`

void vl::SampleCoverage::setInvert | ( | bool | invert | ) | `[inline]`

GLclampf vl::SampleCoverage::value | ( |  | ) | const`[inline]`

bool vl::SampleCoverage::invert | ( |  | ) | const`[inline]`

## Member Data Documentation

GLclampf vl::SampleCoverage::mValue`[protected]`

bool vl::SampleCoverage::mInvert`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:04 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.